Package pygccxml :: Package declarations :: Module class_declaration :: Class hierarchy_info_t

# type hierarchy_info_t

source code

    object --+
             |
            hierarchy_info_t

describes class relationship

Instance Methods

__init__(self, related_class=None, access=None, is_virtual=False) creates class that contains partial information about class relationship | source code

__eq__(self, other) | source code

__ne__(self, other) | source code

__lt__(self, other) | source code

Properties
| related_class reference to base or derived class
| access
| access_type describes hierarchy type
| is_virtual indicates whether the inheritance is virtual or not

Method Details

### __init__(self, related_class=None, access=None, is_virtual=False)
(Constructor)

source code

creates class that contains partial information about class relationship

Overrides: object.__init__

Property Details

### related_class

reference to base or derived class

Get Method:
  _get_related_class(self)
Set Method:
  _set_related_class(self, new_related_class)

### access

Get Method:
  _get_access(self)
Set Method:
  _set_access(self, new_access)

### access_type

describes hierarchy type

Get Method:
  _get_access(self)
Set Method:
  _set_access(self, new_access)

### is_virtual

indicates whether the inheritance is virtual or not

Get Method:
  _get_is_virtual(self)
Set Method:
  _set_is_virtual(self, new_is_virtual)